using Indotalent.Data.Entities;
using Indotalent.Shared.Consts;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Indotalent.Infrastructure.Database.MsSQL.Configuration;

public class PositiveAdjustmentConfiguration : IEntityTypeConfiguration<PositiveAdjustment>
{
    public void Configure(EntityTypeBuilder<PositiveAdjustment> builder)
    {
        builder.Property(e => e.AutoNumber)
            .HasMaxLength(GlobalConsts.StringLengthShort);

        builder.Property(e => e.Description)
            .HasMaxLength(GlobalConsts.StringLengthMedium);

        builder.HasIndex(e => e.AutoNumber).IsUnique();
        builder.HasIndex(e => e.AdjustmentDate);
    }
}